function u = tridiag(a,b,c,r,N)
%Functiontridiag:
%Invertsatridiagonalsystemwhoselower,mainandupperdiagonals
%arerespectivelygivenbythevectorsa,bandc.ristherighthand
%side,andNisthesizeofthesystem.Theresultisplacedinu.
%(AdaptedfromNumericalRecipes,Pressetal.1992)
if (b(1)==0)
    fprintf(1,'Reordertheequationsforthetridiagonalsolver...')
    pause
end
beta = b(1);
u = zeros(1, N);
u(1) = r(1)/beta;
%Startthedecompositionandforwardsubstitution
for j = 2:N
    gamma(j) = c(j - 1)/beta;
    beta = b(j) - a(j)*gamma(j);
    if (beta==0)
        fprintf(1,'Thetridiagonalsolverfailed...')
        pause
    end
    u(j) = (r(j) - a(j)*u(j - 1))/beta;
end
%Performthebacksubstitution
for j = 1:(N - 1)
    k = N - j;
    u(k) = u(k) - gamma(k+1)*u(k+1);
end
