clear all;
syms f %  
syms x y1 ddy1 y2 ddy2 % x, y  y''  ; y1  ddy1   n = 1; y2  ddy2   n = 2
syms df %
syms C11 C21 C22 %    ; C11  n = 1; 21  22  n = 2
syms phi1 phi2 % 

%   n = 1
f = x;
phi1 = x*(1-x);
y1 = C11*phi1; % y1
ddy1 = diff(diff(y1,x),x); %  y''
df = ddy1 - y1 - f; % 
eq1 = int(df,x,0,1) % 
C11 = solve(eq1 == 0) %  C11

%   n = 2
phi2 = x^2*(1-x);
y2 = C21*phi1 + C22*phi2; % y
ddy2 = diff(diff(y2,x),x); %  y''
df = ddy2 - y2 - f % 
eq21 = int(df,x,0,1) %  
eq22 = int(df*x,x,0,1) %  
[C21, C22] = solve(eq21 == 0, eq22 == 0) %  C21  22


% 
figure('Units','centimeters','position',[20 5 10 10]);
figure(1);
set(0,'CurrentFigure',1);
x1 = 0:0.01:1; %      y1, y2  ytochnoe

% n = 1
plot(x1, C11*x1.*(1-x1),'-g','LineWidth', 2); hold on

% n = 2
plot(x1, C21*x1.*(1-x1) + C22*x1.^2.*(1-x1),'-k','LineWidth', 2);

%  
plot(x1, exp(1)*(exp(x1)-exp(-x1))/(exp(2)-1) - x1,'-r','LineWidth', 1);

% ,   
axis ([0 1 -0.06 0], 'square'); 
BX=get(gca,'XTick');
BX1 = [min(BX):(max(BX)-min(BX))/4:max(BX)];
BX1 = BX1(BX1~=0);
BY=get(gca,'YTick');
%BY = [BY(2:end-1) b1];
BY1 = [min(BY):(max(BY)-min(BY))/4:max(BY)];
%BY1 = BY1(BY1~=0);
 xlabel('x','Position',[max(BX1) min(BY)-0.005],'FontName',...
     'Times','FontSize', 14,'FontAngle','Italic','VerticalAlignment','bottom')
 ylabel('y','Rotation',0,'Position',[-0.05 max(BY1)],...
     'FontName','Times','FontSize', 14,'FontAngle','Italic')
set(gca,'FontName','Times','FontSize', 12,'Box','on',...
    'LineWidth', 1,'YTick',BY1,'XGrid','on','XTick',BX1,'GridlineStyle','-','YGrid','on',...
    'XTickLabel',{BX1(1:end-1), ''}, 'YTickLabel',{BY1(1:end-1), ''})
set(gcf,'GraphicsSmoothing','on')
axis ('square'); 

%     (     
%y2)
figure('Units','centimeters','position',[10 5 10 10]);
figure(2);
set(0,'CurrentFigure',2);

plot(x1, abs(C21*x1.*(1-x1) + C22*x1.^2.*(1-x1) ...
    - (exp(1)*(exp(x1)-exp(-x1))/(exp(2)-1) - x1)),'-k','LineWidth', 1);

% ,   
axis ([0 1 0 1.2*10^(-3)], 'square'); 
BX=get(gca,'XTick');
BX1 = [min(BX):(max(BX)-min(BX))/4:max(BX)];
%BX1 = BX1(BX1~=0);
BY=get(gca,'YTick');
%BY = [BY(2:end-1) b1];
BY1 = [min(BY):(max(BY)-min(BY))/4:max(BY)];
BY1 = BY1(BY1~=0);
 xlabel('x','Position',[max(BX1) min(BY)-0.0001],'FontName',...
     'Times','FontSize', 14,'FontAngle','Italic','VerticalAlignment','bottom')
 ylabel('|y-y_2|','Rotation',0,'Position',[-0.05 max(BY1)],...
     'FontName','Times','FontSize', 14,'FontAngle','Italic')
set(gca,'FontName','Times','FontSize', 12,'Box','on',...
    'LineWidth', 1,'YTick',BY1,'XGrid','on','XTick',BX1,'GridlineStyle','-','YGrid','on',...
    'XTickLabel',{BX1(1:end-1), ''}, 'YTickLabel',{BY1(1:end-1), ''})
set(gcf,'GraphicsSmoothing','on')
axis ('square');