clear all;
syms x y1 dy1 y2 dy2 % x, y  y'  ; y1  dy1   n = 1; y2  dy2   n = 2
syms J %   
syms C11 C21 C22 %    ; C11  n = 1; 21  22  n = 2

%   n = 1
y1 = C11*(x^2 - x); % y
dy1 = diff(y1,x); %  y'
J = int(dy1*dy1 + y1*y1 + 2*x*y1,x,0,1); % J
C11 = solve(diff(J,C11) == 0); %  C11

%   n = 2
y2 = C21*(x^2 - x) + C22*(x^3 - x^2); % y
dy2 = diff(y2,x); %  y'
J = int(dy2*dy2 + y2*y2 + 2*x*y2,x,0,1); % J
[C21, C22] = solve(diff(J,C21) == 0, diff(J,C22) == 0); %  C21  22


% 
figure('Units','centimeters','position',[20 5 10 10]);
figure(1);
set(0,'CurrentFigure',1);
x1 = 0:0.01:1; %      y1, y2  ytochnoe

% n = 1
plot(x1, C11*(x1.^2 - x1),'-g','LineWidth', 2); hold on

% n = 2
plot(x1, C21*(x1.^2 - x1) + C22*(x1.^3 - x1.^2),'-k','LineWidth', 2);

%  
plot(x1, exp(1)*(exp(x1)-exp(-x1))/(exp(2)-1) - x1,'-r','LineWidth', 1);

% ,   
axis ([0 1 -0.06 0], 'square'); 
BX=get(gca,'XTick');
BX1 = [min(BX):(max(BX)-min(BX))/4:max(BX)];
BX1 = BX1(BX1~=0);
BY=get(gca,'YTick');
%BY = [BY(2:end-1) b1];
BY1 = [min(BY):(max(BY)-min(BY))/4:max(BY)];
%BY1 = BY1(BY1~=0);
 xlabel('x','Position',[max(BX1) min(BY)-0.005],'FontName',...
     'Times','FontSize', 14,'FontAngle','Italic','VerticalAlignment','bottom')
 ylabel('y','Rotation',0,'Position',[-0.05 max(BY1)],...
     'FontName','Times','FontSize', 14,'FontAngle','Italic')
set(gca,'FontName','Times','FontSize', 12,'Box','on',...
    'LineWidth', 1,'YTick',BY1,'XGrid','on','XTick',BX1,'GridlineStyle','-','YGrid','on',...
    'XTickLabel',{BX1(1:end-1), ''}, 'YTickLabel',{BY1(1:end-1), ''})
set(gcf,'GraphicsSmoothing','on')
axis ('square'); 

%     (     
%y2)
figure('Units','centimeters','position',[10 5 10 10]);
figure(2);
set(0,'CurrentFigure',2);

plot(x1, abs(C21*(x1.^2 - x1) + C22*(x1.^3 - x1.^2) ...
    - (exp(1)*(exp(x1)-exp(-x1))/(exp(2)-1) - x1)),'-k','LineWidth', 1);

% ,   
axis ([0 1 0 2.5*10^(-4)], 'square'); 
BX=get(gca,'XTick');
BX1 = [min(BX):(max(BX)-min(BX))/4:max(BX)];
%BX1 = BX1(BX1~=0);
BY=get(gca,'YTick');
%BY = [BY(2:end-1) b1];
BY1 = [min(BY):(max(BY)-min(BY))/4:max(BY)];
BY1 = BY1(BY1~=0);
 xlabel('x','Position',[max(BX1) min(BY)-0.00002],'FontName',...
     'Times','FontSize', 14,'FontAngle','Italic','VerticalAlignment','bottom')
 ylabel('|y-y_2^*|','Rotation',0,'Position',[-0.05 max(BY1)],...
     'FontName','Times','FontSize', 14,'FontAngle','Italic')
set(gca,'FontName','Times','FontSize', 12,'Box','on',...
    'LineWidth', 1,'YTick',BY1,'XGrid','on','XTick',BX1,'GridlineStyle','-','YGrid','on',...
    'XTickLabel',{BX1(1:end-1), ''}, 'YTickLabel',{BY1(1:end-1), ''})
set(gcf,'GraphicsSmoothing','on')
axis ('square');